| Home | Libraries | People | FAQ | More

###### grammar::recycled_ptr::recycled_ptr (4 of 6 overloads)

Constructor.

###### Synopsis

    recycled_ptr(
        std::nullptr_t);

###### Description

After construction, this is empty and refers to a global recycle bin.

###### Example

    recycled_ptr< std::string > ps( nullptr );

    // Acquire a string and put it into a known state
    ps->acquire();
    ps->clear();

###### Postconditions

    &this->bin() != nullptr && this->empty()

###### Exception Safety

Throws nothing.

###### See Also

`acquire`, `recycled`, `release`.